Loading...
Searching...
No Matches
QuadraticSampler Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for QuadraticSampler:

## Static Public Member Functions

static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Triquadratically reconstruct inTree at inCoord and store the result in result.
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Triquadratically reconstruct inTree at to inCoord.
template<class ValueT , size_t N>
static ValueT | triquadraticInterpolation (ValueT(&data)[N][N][N], const Vec3R &uvw)

## Member Function Documentation

## consistent()

static bool consistent | ( |  | ) |

inlinestatic

## mipmap()

static bool mipmap | ( |  | ) |

inlinestatic

## name()

static const char * name | ( |  | ) |

inlinestatic

## order()

static size_t order | ( |  | ) |

inlinestatic

## radius()

static int radius | ( |  | ) |

inlinestatic

## sample() [1/2]

template<class TreeT >

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord )

inlinestatic

Triquadratically reconstruct inTree at to inCoord.

Returns
  the reconstructed value

## sample() [2/2]

template<class TreeT >

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result )

inlinestatic

Triquadratically reconstruct inTree at inCoord and store the result in result.

Returns
  `true` if any one of the sampled values is active.

## staggered()

static bool staggered | ( |  | ) |

inlinestatic

## triquadraticInterpolation()

template<class ValueT , size_t N>

ValueT triquadraticInterpolation | ( | ValueT(&) | data[N][N][N],
|  | const Vec3R & | uvw )

inlinestatic